import { ElementFinder } from "protractor";
import { OverlayAtom } from "../overlay/overlay.atom";
import { BaseSelectV2Atom } from "../select-v2/base-select-v2.atom";
export declare class ComboboxV2Atom extends BaseSelectV2Atom {
    static CSS_CLASS: string;
    static type(text: string): Promise<void>;
    popup: OverlayAtom;
    removeAllButton: ElementFinder;
    createOption: ElementFinder;
    toggleButton: ElementFinder;
    input: ElementFinder;
    chips: import("protractor").ElementArrayFinder;
    activeChip: ElementFinder;
    activeOption: ElementFinder;
    removeAll(): Promise<void>;
    removeChips(amount: number): Promise<void>;
    selectAll(): Promise<void>;
    selectFirst(numberOfItems?: number): Promise<void>;
    getInputValue(): Promise<string>;
    getSelectionStart(): Promise<number>;
    getSelectionEnd(): Promise<number>;
    getSelectionRange(): Promise<number>;
}
